  <ion-content>
<div *ngIf="tooptp">
  <div class="logo">
    <img src="../../assets/logo.png ">
  </div>
  <form (ngSubmit)="onSubmit()" [formGroup]="registerForm">
    <ion-list lines="full">


      <ion-item>
        <ion-label position="floating">Genre</ion-label>
        <ion-segment required formControlName="sexe" [(ngModel)]="utilisateur.sexe">

          <ion-segment-button value='male'>
            <ion-label>Homme</ion-label>
          </ion-segment-button >
          <ion-segment-button value='female'>
            <ion-label>Femme</ion-label>
          </ion-segment-button >
        </ion-segment>
      </ion-item>

<!--      <ion-item>-->
<!--        <ion-label position="floating">Région</ion-label>-->
<!--        <ion-select   [(ngModel)]="utilisateur.region" (ionChange)="departementid(utilisateur.region)"  formControlName="region" interface="action-sheet">-->
<!--          <ion-select-option *ngFor="let region of regions" [value]="region.id"   >{{region.nom}}</ion-select-option>-->
<!--        </ion-select>-->
<!--      </ion-item>-->
<!--      <ion-item>-->
<!--        <ion-label position="floating">Departement</ion-label>-->
<!--        <ion-select  [(ngModel)]="utilisateur.departement" formControlName="departement" interface="action-sheet">-->
<!--          <ion-select-option *ngFor="let departement of departements" [value]="departement.id">{{departement.nom}}</ion-select-option>-->
<!--        </ion-select>-->
<!--      </ion-item>-->
      <ion-item>
        <ion-label position="floating">Nom</ion-label>
        <ion-input  [(ngModel)]="utilisateur.nom" formControlName="nom" class="form-control">
        </ion-input>
      </ion-item>
      <ion-item>
        <ion-label position="floating">Prénom</ion-label>
        <ion-input  [(ngModel)]="utilisateur.prenom" formControlName="prenom" class="form-control">
        </ion-input>
      </ion-item>

      <ion-item>
        <ion-label position="floating">Téléphone</ion-label>
        <ion-input [ngClass]="{ 'is-invalid': submitted && f.username.errors }" class="form-control"
                   formControlName="telephone" [(ngModel)]="utilisateur.telephone"  onkeyup="this.value = this.value.toLowerCase()" ></ion-input>
        <div *ngIf="submitted && f.username.errors" class="invalid-feedback">
          <div *ngIf="f.username.errors.required" class='error'>Entrer votre numéro de telephone</div>
        </div>
      </ion-item>

      <ion-item>
        <ion-label position="floating">Mot de passe</ion-label>
        <ion-input [ngClass]="{ 'is-invalid': submitted && f.password.errors }" class="form-control" formControlName="password"
                   [type]="showpassword? 'text' : 'password'" [(ngModel)]="utilisateur.password" ></ion-input>
        <ion-icon slot="end" [name]="passwordToggle" (click)="togglepassword()" class="iconpass"></ion-icon>
        <div *ngIf="submitted && f.password.errors" class="invalid-feedback">
          <div *ngIf="f.password.errors.required" class='error'>Mot de passe requis</div>
        </div>
      </ion-item>


    </ion-list>
    <div class="ion-padding">
      <ion-button  shape="round" [disabled]="registerForm.invalid" class=" btn btn-secondary btnfont ion-no-margin" expand="block"
                   type="submit"  >S'enregistez
      </ion-button>
    </div>
  </form>
  <p (click)="gotologin()">Déja enregistrez? allez a la connection</p>
</div>
    <div *ngIf="!tooptp">
    <div class="content-otp">
      <div class="o-c">
        <div>
          <div class="card-otp">
            <p class="a-o-i">Entrer le code de verification</p>
            <ng-otp-input #ngOtpInput (onInputChange)="onOtpChange($event)" [config]="config"></ng-otp-input>
            <countdown #cd class="countdownotp" [config]="config2" (event)="handleEvent($event)"></countdown>
            <p class="countdownrepeat" style="display: none" (click)="cd.restart()"> Redemander un autre code</p>
          </div>
        </div>
      </div>
    </div>


    </div>
  </ion-content>
